### Enumeration

# Rsvg Unit

#### Declaration

    enum Rsvg.Unit

#### Description [src]

Units for the `RsvgLength` struct. These have the same meaning as CSS length units.

If you test for the values of this enum, please note that librsvg may add other units in the future as its support for CSS improves. Please make your code handle unknown units gracefully (e.g. with a `default` case in a `switch()` statement).

#### Members

`RSVG_UNIT_PERCENT`

  Percentage values; where 1.0 means 100%.

  - Value: `0`
  - Available since: 2.0
`RSVG_UNIT_PX`

  Pixels.

  - Value: `1`
  - Available since: 2.0
`RSVG_UNIT_EM`

  Em, or the current font size.

  - Value: `2`
  - Available since: 2.0
`RSVG_UNIT_EX`

  X-height of the current font.

  - Value: `3`
  - Available since: 2.0
`RSVG_UNIT_IN`

  Inches.

  - Value: `4`
  - Available since: 2.0
`RSVG_UNIT_CM`

  Centimeters.

  - Value: `5`
  - Available since: 2.0
`RSVG_UNIT_MM`

  Millimeters.

  - Value: `6`
  - Available since: 2.0
`RSVG_UNIT_PT`

  Points, or 1/72 inch.

  - Value: `7`
  - Available since: 2.0
`RSVG_UNIT_PC`

  Picas, or 1/6 inch (12 points).

  - Value: `8`
  - Available since: 2.0
`RSVG_UNIT_CH`

  Advance measure of a ‘0’ character (depends on the text orientation).

  - Value: `9`
  - Available since: 2.58